var _this = this,
    _jsxFileName = "D:\\_Repos\\_CoreUIv3\\React\\coreui-react-internal\\src\\CDropdownItem.js";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React, { useContext } from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import { mapToCssModules, tagPropType } from './Shared/helper.js';
import { Context } from './CDropdown';
import CLink from './CLink'; //component - CoreUI / CDropdownItem

var CDropdownItem = function CDropdownItem(props) {
  var _ref;

  var tag = props.tag,
      className = props.className,
      cssModule = props.cssModule,
      innerRef = props.innerRef,
      onClick = props.onClick,
      color = props.color,
      divider = props.divider,
      header = props.header,
      active = props.active,
      disabled = props.disabled,
      rest = _objectWithoutPropertiesLoose(props, ["tag", "className", "cssModule", "innerRef", "onClick", "color", "divider", "header", "active", "disabled"]);

  var _useContext = useContext(Context),
      setIsOpen = _useContext.setIsOpen;

  var isClickableItem = !(disabled || header || divider);

  var click = function click(e) {
    if (!isClickableItem) {
      e.preventDefault();
      return;
    } else {
      onClick && onClick(e);
      setIsOpen(false);
    }
  }; //render


  var tabIndex = isClickableItem ? -1 : null;
  var role = tabIndex === null ? 'menuitem' : undefined;
  var classes = mapToCssModules(classNames(className, 'dropdown-' + (header ? 'header' : divider ? 'divider' : 'item'), active && 'active', color && 'bg-' + color, {
    disabled: disabled
  }), cssModule);
  var Tag = tag || (header || divider ? 'div' : CLink);
  var ref = (_ref = {}, _ref["" + (typeof Tag === 'string' ? 'ref' : 'innerRef')] = innerRef, _ref);
  return /*#__PURE__*/React.createElement(Tag, _extends({
    className: classes,
    tabIndex: tabIndex,
    role: role
  }, rest, {
    onClick: click
  }, ref, {
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 60,
      columnNumber: 5
    }
  }));
};

CDropdownItem.propTypes = process.env.NODE_ENV !== "production" ? {
  tag: tagPropType,
  className: PropTypes.string,
  cssModule: PropTypes.object,
  //
  innerRef: PropTypes.oneOfType([PropTypes.object, PropTypes.func, PropTypes.string]),
  color: PropTypes.string,
  divider: PropTypes.bool,
  header: PropTypes.bool,
  disabled: PropTypes.bool,
  onClick: PropTypes.func,
  active: PropTypes.bool
} : {};
export default CDropdownItem;